<?php 

class App_extends extends CI_Model {

    public function syncAPI()
	{
		$games = $this->db->get('games');
		$provider = $this->db->get('provedores');

		if($games->num_rows() > 0){
			$this->db->truncate('games');
		}
		if($provider->num_rows() > 0){
			$this->db->truncate('provedores');
		}

		$this->fiverscans->obterProvedores();

		$usuarios = $this->db->get('usuarios')->result();

		foreach ($usuarios as $usuario) {

			$this->fiverscans->criarUsuario($usuario->id);
			$this->fiverscans->resetSaldo($usuario->id);
			$this->fiverscans->atualizaSaldo($usuario->id);

			echo "Usúario: ".$usuario->email." foi sincronizado com a API.";
        }
	}
	public function syncUsersAPI()
	{
		$usuarios = $this->db->get('usuarios')->result();

		foreach ($usuarios as $usuario) {

			$this->fiverscans->criarUsuario($usuario->id);
			echo "Usúario: ".$usuario->email." foi sincronizado com a API.";
        }
	}
}